

/////////////////////////////////////////////////////

/*           Display Setup variables               */

/////////////////////////////////////////////////////
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Fonts/FreeMonoBoldOblique18pt7b.h>
#include <Adafruit_SSD1306.h>
int Current;

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels
#define OLED_RESET     -1 // Reset pin # (or -1 if sharing Arduino reset pin)
#define SCREEN_ADDRESS 0x3C ///< See datasheet for Address; 0x3D for 128x64, 0x3C for 128x32

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

void setup() {
  Serial.begin(115200);

  // SSD1306_SWITCHCAPVCC = generate display voltage from 3.3V internally
  if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;); // Don't proceed, loop forever
  }
  display.setFont(&FreeMonoBoldOblique18pt7b);
  display.display();
  delay(2000); // Pause for 2 seconds
  display.clearDisplay();
  display.setTextColor(SSD1306_WHITE);
  display.setCursor(0,45);
  display.print("AJAX 2");
  display.display();
  
  delay(2000);

}

void loop() {
  for(int i=20;i<=30;i++)
  {
    Current = i;
    testdrawstyles();    // Draw 'stylized' characters
    delay(2000);
  } 
}

void testdrawstyles(void) {
  display.clearDisplay();
  
  display.setCursor(0,40);
               // Draw 2X-scale text
  display.setTextColor(SSD1306_WHITE);
  display.print(F("A:")); display.print(Current);
  display.display();
  delay(2000);
}
