#include <Wire.h>
#include <SPI.h>
#include <LoRa.h>

byte localAddress = 0xAA;
byte destinationAddress = 0xBB;

const int csPin = 3;
const int resetPin = 2;
const int irqPin = 6;

unsigned long lastSendTime = 0;
const int interval = 2000;
int count = 0;

float AmpHours = 0;
int hiAmpHours = 0;

void setup()
{
 
  Serial.begin(115200);           // start serial for output
  LoRa.setPins(csPin, resetPin, irqPin);
  
  if (!LoRa.begin(433E6)) {
    Serial.println("LoRa init failed. Check your connections.");
    //while (true) {}
  }
  Wire.begin(6);                // join i2c bus with address #4
  Wire.onReceive(receiveEvent); // register event
}

void loop()
{
  //Serial.println("Here");
  if (millis() >= lastSendTime + interval) {
    hiAmpHours = AmpHours * 100;
    String(toSend) = String(hiAmpHours);
    sendMessage(toSend);
    
    
//    Serial.print("Sending data ");
//    Serial.print(" from 0x" + String(localAddress, HEX));
//    Serial.println(" to 0x" + String(destinationAddress, HEX));

    lastSendTime += interval;
  }
}


void sendMessage(String outgoing) {
  LoRa.beginPacket();
  LoRa.write(destinationAddress);
  LoRa.write(localAddress);
  LoRa.write(outgoing.length());
  LoRa.print(outgoing);
  LoRa.endPacket();
}
// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent(int howMany)
{
  (void)howMany; // avoid compiler warning about unused parameter

  
  int x = Wire.read();    // receive byte as an integer
  AmpHours = x * 0.5;

}
