
/////////////////////////////////////////////////////

/*       SD Setup variables and Functions          */

/////////////////////////////////////////////////////

#include "FS.h"
#include "SD.h"
#include "SPI.h"

float Current = 30;

void writeFile(fs::FS &fs, const char * path, const char * message){
  Serial.printf("Writing file: %s\n", path);

  File file = fs.open(path, FILE_WRITE);
  if(!file){
    Serial.println("Failed to open file for writing");
    return;
  }
  if(file.print(message)){
    Serial.println("File written");
  } else {
    Serial.println("Write failed");
  }
  file.close();
}

void appendFile(fs::FS &fs, const char * path, float Current){
  Serial.printf("Appending to file: %s\n", path);

  File file = fs.open(path, FILE_APPEND);
  if(!file){
    Serial.println("Failed to open file for appending");
    return;
  }
  if(file.print(Current)){
      Serial.println("Message appended");
  } 
  else {
    Serial.println("Append failed");
  }
  file.close();
}



void setup(){
  Serial.begin(115200);
  if(!SD.begin(5)){
    Serial.println("Card Mount Failed");
    return;
  }
  uint8_t cardType = SD.cardType();

  if(cardType == CARD_NONE){
    Serial.println("No SD card attached");
    return;
  }
  uint64_t cardSize = SD.cardSize() / (1024 * 1024);
  Serial.printf("SD Card Size: %lluMB\n", cardSize);


  writeFile(SD, "/hello.txt", "Hello ");
  appendFile(SD, "/hello.txt", Current);


}

void loop(){
  

}
