
#include <SPI.h>
#include <LoRa.h>

byte localAddress = 0xAA;
byte destinationAddress = 0xBB;

const int csPin = 3;
const int resetPin = 2;
const int irqPin = 6;

unsigned long lastSendTime = 0;
const int interval = 2000;
int count = 0;



void setup() {
  Serial.begin(9600);
  Serial.println("Start LoRa duplex");

  LoRa.setPins(csPin, resetPin, irqPin);

  if (!LoRa.begin(433E6)) {
    Serial.println("LoRa init failed. Check your connections.");
    //while (true) {}
  }
}



void loop() {
  if (millis() >= lastSendTime + interval) {
    String sensorData = String(count++);
    sendMessage(sensorData);

    Serial.print("Sending data " + sensorData);
    Serial.print(" from 0x" + String(localAddress, HEX));
    Serial.println(" to 0x" + String(destinationAddress, HEX));

    lastSendTime += interval;
  }
}

void sendMessage(String outgoing) {
  LoRa.beginPacket();
  LoRa.write(destinationAddress);
  LoRa.write(localAddress);
  LoRa.write(outgoing.length());
  LoRa.print(outgoing);
  LoRa.endPacket();
}
