
/////////////////////////////////////////////////////

/*           Current and Voltage Variables         */

/////////////////////////////////////////////////////

#define V_Batt  34
#define V_Motor 35

float batteryVoltage        = 0;              
float motorVoltage          = 0;


void setup() {
  // put your setup code here, to run once:
  Serial.println(9600);
  
}

void loop() {
  // put your main code here, to run repeatedly:
    delay(2000);
    batteryVoltage = readBatteryVoltage();
    motorVoltage   = readMotorVoltage();
}

float readBatteryVoltage()
{ 
   float tempVoltage = analogRead(V_Batt);                        // Reads the 10 Bit ADC Value from the battery read pin (A0)

                                                                  // Calculates the voltage seen on the A0 Pin (Up to 5V given we are using the TSR 1-2450)
   tempVoltage = (tempVoltage/4096)*3.3;                          // This is a multiplier which is related to the potential divider ratio. 
   tempVoltage = (tempVoltage * 9.06);
                                                                  // For us, this ratio is 1/6 which means we step the voltage from 30V --> 5V so the arduino can read. 
                                                                                                                                   
   tempVoltage = constrain(tempVoltage,0,30);                     // Gets rid of zero errors so the LCD display doesn't bug out
   return (tempVoltage);                                          // Returns the voltage to the function readBatteryVoltage() 
}

float readMotorVoltage()
{
  
   float tempVoltage = analogRead(V_Motor);                       // Reads the 10 Bit ADC Value from the battery read pin (A0)

                                                                  // Calculates the voltage seen on the A0 Pin (Up to 5V given we are using the TSR 1-2450)
   tempVoltage = (tempVoltage/4096)*3.3;                          // This is a multiplier which is related to the potential divider ratio. 
   tempVoltage = (tempVoltage * 9.06);
                                                                  // For us, this ratio is 1/6 which means we step the voltage from 30V --> 5V so the arduino can read. 
                                                                  // Gets rid of zero errors so the LCD display doesn't bug out
   tempVoltage = batteryVoltage - tempVoltage;
   float value = constrain(tempVoltage,0,30);
   return (value);                                                // Returns the voltage to the function readBatteryVoltage()
  
}
